Summary: Strong Extranet module for mod_ssl and apache
Summary(fr): Module d'Extranet Fort pour Apache et mod_ssl
Name: mod_sxnet
%define apache_version 1.3.19
%define apache_release 3mdk
Version: 1.2.4
Release: 1mdk
%define mm_major 1
%define mm_minor 1.3

Group: System/Servers
Source0: ftp://ftp.thawte.com/pub/sxnet/sxnet-1.2.4.tar.bz2
Source1: sxnet.html
Copyright: BSD-Style
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prereq: apache = %{apache_version} openssl >= 0.9.6
Prereq:	apache-common = %{apache_version}
Prereq:	apache-conf = %{apache_version}
Prereq: mm = %{mm_major}.%{mm_minor}
Prereq:	mod_ssl
Obsoletes: mod_ssl-sxnet

Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>
Vendor: MandrakeSoft
Distribution: Linux-Mandrake
BuildRequires: apache = %{apache_version}
BuildRequires: apache-devel = %{apache_version}, openssl >= 0.9.6
%define sysconfdir /etc
%define apachecontent /var/www/html
%define apachebase %{sysconfdir}/httpd
%define apacheroot /var/www
%define oldapacheroot /home/httpd
%define apachelogs /var/log

%description
The Strong Extranet allows you to use digital certificates to authenticate
users on your web server. Typically, your users enroll in your Strong 
Extranet, under your control, through the Thawte Personal Cert System.  

%description
L'Extranet Fort vous permet d'utiliser des certificats numeriques pour
authentifier les usagers sur votre serveur web. Typiquement, vos usagers
s'enrolent dans votre Extranet Fort, sous votre controle, a travers le
Thawte Personal Cert System.

%prep
%setup -n sxnet


%build

cp %{SOURCE1} index.html

perl -pi -e "s/Malloc/malloc/g;" *
perl -pi -e "s/Free/free/g;" *
if [ `uname` = "SunOS" ]; then export SSLDEF="-DHAVE_CRYPT_H"; fi
%{_sbindir}/apxs -I%{_includedir}/openssl/ -L%{_libdir} \
	-l ssl -l crypto $SSLDEF -c mod_sxnet.c

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache-extramodules
install -m 755 mod_sxnet.so \
	$RPM_BUILD_ROOT%{_libdir}/apache-extramodules

mkdir -p $RPM_BUILD_ROOT%{apachecontent}/addon-modules
pushd $RPM_BUILD_ROOT%{apachecontent}/addon-modules
ln -s ../../../..%{_docdir}/mod_sxnet-%{version} mod_sxnet-%{version}
popd

%post
if [ $1 = "1" ]; then 
   #We're in Install mode, add module to the config files
   for config in %{apachebase}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
	extramodules/mod_sxnet.so mod_sxnet.c sxnet_module \
	define=HAVE_SXNET
     fi
   done
   if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi

if [ $1 -gt 1 ]; then 
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again 
   #in a way that the older module we're replacing won't try to erase (the 
   #post scripts were broken on some packages), and finally clean the module
   #specific config file so it's compatible with the upgrade.
   for config in %{apachebase}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
	extramodules/mod_sxnet.so mod_sxnet.c sxnet_module \
	define=HAVE_SXNET 
	$config
     fi
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
	extramodules/mod_sxnet.so mod_sxnet.c sxnet_module \
	define=HAVE_SXNET 
     fi
   done
   if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update; fi
fi

%postun
if [ $1 = "0" ]; then 
   for config in %{apachebase}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
	extramodules/mod_sxnet.so mod_sxnet.c sxnet_module \
	define=HAVE_SXNET
     fi
   done
   if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi

%files
%defattr(-,root,root)
%{apachecontent}/addon-modules/*
%doc CHANGES COPYRIGHT LICENCE index.html
%{_libdir}/apache-extramodules/mod_sxnet.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Apr 14 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-1mdk
- Split package from mod_ssl spec, since Thawte are now supplying a module
  that adds documentation.

